{% extends 'base.html.twig' %}

{% block title %}Booking index{% endblock %}

{% block body %}
    <h1>Booking index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>NumberGuests</th>
                <th>Comment</th>
                <th>BookingDate</th>
                <th>RegistrationDate</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for booking in bookings %}
            <tr>
                <td>{{ booking.id }}</td>
                <td>{{ booking.numberGuests }}</td>
                <td>{{ booking.comment }}</td>
                <td>{{ booking.bookingDate ? booking.bookingDate|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ booking.registrationDate ? booking.registrationDate|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('booking_show', {'id': booking.id}) }}">show</a>
                    <a href="{{ path('booking_edit', {'id': booking.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('booking_new') }}">Create new</a>
{% endblock %}
